Bug 727410 - Review Request: ghc-random - Haskell random number library
Review Request: ghc-random - Haskell random number library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 787357
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-02 00:49 EDT by Jens Petersen
Modified: 2012-04-04 05:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-04 05:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2011-08-02 00:51:24 EDT
This package will no longer be a part of ghc > 7.2.
So opening this review request now since we will most
likely ship ghc-7.2.x in Fedora 17.
Comment 2 Narasimhan 2011-10-17 03:42:27 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-random-1.0.0.3-27.fc14.i686.rpm ghc-random-devel-1.0.0.3-27.fc14.i686.rpm ghc-random-1.0.0.3-27.fc14.src.rpm ../ghc-random.spec 
ghc-random.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-random.i686: W: invalid-license HaskellReport
The value of the License tag was not recognized.

ghc-random-devel.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-random-devel.i686: W: invalid-license HaskellReport
The value of the License tag was not recognized.

ghc-random.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-random.src: W: invalid-license HaskellReport
The value of the License tag was not recognized.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-random-1.0.0.3-27.fc15.src/random-1.0.0.3.tar.gz 
d6c1343438092e74fb07d439c64395c4  ghc-random-1.0.0.3-27.fc15.src/random-1.0.0.3.tar.gz

md5sum random-1.0.0.3.tar.gz 
d6c1343438092e74fb07d439c64395c4  random-1.0.0.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included.
[+]SHOULD: The reviewer should test that the package functions as described.
Requires ghc-7.2 and above. Installed the package via rpm command.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is not OK. Needs to be updated to latest format.

We could use BSD to cover Haskellreport license. This has been done for ghc-syb.

APPROVED.
Comment 3 Jens Petersen 2011-10-17 20:39:38 EDT
Thank you for reviewing the package. :)

> ghc-random.i686: W: invalid-license HaskellReport
> The value of the License tag was not recognized.

Sorry, the valid tag is "Haskell Report".
(Reminds me, we don't have the Haskell Report in Fedora but anyway.)

> We could use BSD to cover Haskellreport license. This has been done for
> ghc-syb.

I see, I can update it when importing - let me revisit
the syb review and also try to add a comment in the spec files.
Comment 4 Jens Petersen 2011-10-17 20:57:04 EDT
New Package SCM Request
=======================
Package Name: ghc-random
Short Description: Haskell random number library
Owners: petersen
Branches: master
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2011-10-17 20:59:32 EDT
Git done (by process-git-requests).
Comment 6 Jason Tibbitts 2011-10-17 21:11:03 EDT
I don't see anything resembling "Haskell Report" in the license list:
  http://fedoraproject.org/wiki/Licensing
Did something get missed?
Comment 7 Jens Petersen 2011-10-17 23:37:41 EDT
(In reply to comment #6)
> I don't see anything resembling "Haskell Report" in the license list:

Thanks for your vigilant comment.
Hm you're right - somehow I assumed now it was there
since rpmlint seems to accept "Haskell Report".

Actually we were just discussing about the "BSD and Haskell Report"
tagging in #fedora-haskell earlier: see below.

> Did something get missed?

I was just looking at the source headers again earlier
and it seems the main library is just BSD according
to the header in Random.hs.
So I think as Lakshmi also suggested the correct
license tag is most likely just BSD.  But I am going
to contact the upstream maintainer to confirm that
that is correct.

BSD is also the license tag of the current ghc-random subpackages.

Anyway the Haskell Report License is pretty much a BSD-ish
license so I don't think this is too serious a problem.

I just note that random is quite a important Haskell library,
which has been shipped with ghc for a long time.
Currently it has 330 reverse dependencies in Hackage:
http://packdeps.haskellers.com/reverse/random .
Comment 8 Jens Petersen 2011-10-21 22:46:26 EDT
Just a quick status update.

Firstly not planning to build this until ghc-7.2 goes into rawhide
(probably next month).

Secondly having discussions upstream about the Haskell Report
license issue - once we reach a conclusion and/or get Legal's
comments on the license will update here.
Comment 9 Jens Petersen 2011-10-27 05:36:41 EDT
Haskell Report license has been added to approved Fedora Licenses.
Comment 10 Jens Petersen 2011-10-28 06:45:54 EDT
Imported the above srpm to git without any changes needed.

Will build it after ghc-7.2 goes into rawhide.
Comment 11 Jens Petersen 2012-02-06 03:13:07 EST
Since we're skipping ghc72, will build this after ghc-7.4.1 goes into F18 rawhide.
Comment 12 Jens Petersen 2012-04-04 05:01:55 EDT
This was now done finally recently.

Note You need to log in before you can comment on or make changes to this bug.